
import com.rational.test.tss.*;

import com.rational.test.tss.TSSConstants;

/* 
This test script demonstrates how to call all TSS Methods
and produces output or exceptions so you can see if 
TSS code is working properly.  DMorris 6/30/2000
*/

public class monitor extends com.rational.test.tss.TestScript {

	public static void main(String[] args){
                monitor t = new monitor();
                t.testMain(args);
	}

	public void testMain(String [] args) {
	try
	{
		int iret;
                TSSInteger iObj = new TSSInteger(1);
		StringBuffer strBuf = new StringBuffer("aardvark");

        	TSSMonitor.display("message");
        	System.out.println("TSSMonitor.display called");
        
        	TSSMonitor.runStateSet(0);
        	System.out.println("TSSMonitor.runStateSet called");
        
        	iret = TSSMonitor.runStateGet();
        	System.out.print("return from TSSMonitor.runStateGet ");
        	System.out.println(iret);
        
         	TSSMonitor.positionSet("srcFile", 100);
        	System.out.println("TSSMonitor.positionSet called");
        
        	// overloaded version
         	TSSMonitor.positionSet(100);
        	System.out.println("TSSMonitor.positionSet overloaded version called");
        
         	TSSMonitor.positionGet(strBuf, iObj);
        	System.out.println("TSSMonitor.positionGet called");
        
         	TSSMonitor.reportCommandStatus(0);
        	System.out.println("TSSMonitor.reportCommandStatus called");
        
	}
	catch (Exception e)
	{
		e.printStackTrace();
	}
	}
}
